Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class AccurevRepository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository
          com.pmease.quickbuild.repository.AccurevRepository

All Implemented Interfaces:
  java.io.Serializable

public class AccurevRepository
extends Repository

Repository implementation for Accurev

See Also:
  Serialized Form

Field Summary
`static java.text.SimpleDateFormat` | `ACCUREV_DATE_FORMAT`

Constructor Summary
`AccurevRepository()`

Method Summary
`protected void` | `buildFinished(Build build)` Indicates build has finished.
`protected void` | `checkout(Build build)` Check out codes for specified build.
`protected void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`java.lang.String` | `getAccurevExecutablePath()` OGNL: Path to your Accurev executable.
`java.lang.String` | `getAdditionalStreamsToDetectChangesFrom()` OGNL: Specify additional streams from which to detect changes.
`protected Revisions` | `getChangeListSince(DependentContext context, java.util.Date date, java.lang.String workspaceDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`java.lang.String` | `getCheckoutStream(Build build)` OGNL: Get the stream acutally used to check out and build.
`java.lang.Class` | `getModuleClazz()`
`java.lang.String` | `getReferenceTree()` Optionally specify name of the reference tree which will be created to check out code from the build stream.
`java.lang.String` | `getStream()` OGNL: Specify stream name to build against.
`java.lang.String` | `getWorkspaceDir(Build build)` OGNL: Get workspace directory for this Accurev repository.
`protected void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `reactivateReferenceTree(java.lang.String referenceTreeName, org.apache.log4j.Logger logger)`
`void` | `relocateReferenceTree(java.lang.String referenceTreeName, java.lang.String workspaceDir, org.apache.log4j.Logger logger)`
`void` | `setAccurevExecutablePath(java.lang.String accurevExecutablePath)`
`void` | `setAdditionalStreamsToDetectChangesFrom(java.lang.String additionalStreamsToDetectChangesFrom)`
`void` | `setReferenceTree(java.lang.String referenceTree)`
`void` | `setStream(java.lang.String stream)`

Methods inherited from class com.pmease.quickbuild.repository.Repository
`cleanupCheckoutStarted, doCheckout, doLabel, equals, getChangeListSince, getDate2Revisions, getEditor, getLoginMappingName, getLoginMappingNameSelectionModel, getModules, getName, getNameChoices, getQuietPeriod, hashCode, isCheckedOut, isModified, isModifiedSince, isQuietSince, notifyBuildFinished, resolveOgnlExpressions, setEditor, setLoginMappingName, setName, setQuietPeriod, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCUREV_DATE_FORMAT

    public static final java.text.SimpleDateFormat ACCUREV_DATE_FORMAT

Constructor Detail

### AccurevRepository

    public AccurevRepository()

Method Detail

### getWorkspaceDir

    public java.lang.String getWorkspaceDir(Build build)

  OGNL: Get workspace directory for this Accurev repository.

  Parameters:
    `build` - current build object
  Returns:

### getCheckoutStream

    public java.lang.String getCheckoutStream(Build build)

  OGNL: Get the stream acutally used to check out and build. Reference tree will be created under this stream to pull out source codes.

  Parameters:
    `build` - current build object
  Returns:

### checkout

    protected void checkout(Build build)

  Description copied from class: `Repository`
  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Specified by:
    `checkout` in class `Repository`
  Parameters:
    `build` -

### buildFinished

    protected void buildFinished(Build build)

  Description copied from class: `Repository`
  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Specified by:
    `buildFinished` in class `Repository`
  Parameters:
    `build` -

### getChangeListSince

    protected Revisions getChangeListSince(DependentContext context,
                                           java.util.Date date,
                                           java.lang.String workspaceDir,
                                           org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Specified by:
    `getChangeListSince` in class `Repository`
  Parameters:
    `context` -
    `date` -
    `workspaceDir` -
    `logger` -
  Returns:

### getModuleClazz

    public java.lang.Class getModuleClazz()

  Specified by:
    `getModuleClazz` in class `Repository`

### label

    protected void label(Build build,
                         java.lang.String label,
                         java.lang.String comment)

  Description copied from class: `Repository`
  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Specified by:
    `label` in class `Repository`
  Parameters:
    `build` -

### cleanupCheckoutStarted

    protected void cleanupCheckoutStarted(java.lang.String workingDir,
                                          org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Specified by:
    `cleanupCheckoutStarted` in class `Repository`
  Parameters:
    `workingDir` -
    `logger` -

### getStream

    public java.lang.String getStream()

  OGNL: Specify stream name to build against. You can also specify a snapshot name here to build against a particular snapshot. Other settings such as Accurev server, user name, password will be taken from Accurev client installed at this build machine. Contents of this stream will be retrieved to directory denoted by return value of method call getWorkspaceDir(build) (refer to Accurev sample of the online demo).

  Returns:

### setStream

    public void setStream(java.lang.String stream)

### getAdditionalStreamsToDetectChangesFrom

    public java.lang.String getAdditionalStreamsToDetectChangesFrom()

  OGNL: Specify additional streams from which to detect changes. This is useful when you want to detect promotions made into other streams whose file changes will be propagated to the build stream. Multiple streams should be separated by spaces, and single stream name containing spaces should be quoted.

  Returns:

### setAdditionalStreamsToDetectChangesFrom

    public void setAdditionalStreamsToDetectChangesFrom(java.lang.String additionalStreamsToDetectChangesFrom)

### getReferenceTree

    public java.lang.String getReferenceTree()

  Optionally specify name of the reference tree which will be created to check out code from the build stream. If not specified, QuickBuild will generate name of the reference tree.

  Returns:

### setReferenceTree

    public void setReferenceTree(java.lang.String referenceTree)

### getAccurevExecutablePath

    public java.lang.String getAccurevExecutablePath()

  OGNL: Path to your Accurev executable. For example: C:\\Program Files\\AccuRev\\bin\\accurev.exe.
  It should be specified here, if it does not exist in the system path.

  Returns:

### setAccurevExecutablePath

    public void setAccurevExecutablePath(java.lang.String accurevExecutablePath)

### reactivateReferenceTree

    public void reactivateReferenceTree(java.lang.String referenceTreeName,
                                        org.apache.log4j.Logger logger)

### relocateReferenceTree

    public void relocateReferenceTree(java.lang.String referenceTreeName,
                                      java.lang.String workspaceDir,
                                      org.apache.log4j.Logger logger)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.